Bug 663467 (sshX11freeze) - Not all x11 channels are closed when exiting many X applications
Summary: Not all x11 channels are closed when exiting many X applications
Keywords:
Status: CLOSED NEXTRELEASE
Alias: sshX11freeze
Product: Fedora
Classification: Fedora
Component: dbus
Version: 25
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-15 21:41 UTC by Need Real Name
Modified: 2018-04-11 15:26 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1112339 (view as bug list)
Environment:
Last Closed: 2016-07-19 20:50:49 UTC


Attachments (Terms of Use)
dump from sshd -d -d -d (29.91 KB, text/plain)
2010-12-16 09:51 UTC, Jan F. Chadima
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 32509 'medium' 'RESOLVED' 'Scope autolaunch to requesting client' 2019-11-28 04:15:18 UTC

Description Need Real Name 2010-12-15 21:41:13 UTC
Description of problem:
ssh -AXC server
server $ firefox&
(close firefox)
server $ exit
(ssh connection hangs)

How reproducible:
Not for all apps, but for most. firefox, thunderbird have the problem, xeyes does not.

Actual results:
ssh connection hangs after X program exits.

Expected results:
ssh connection does not hang.

Additional info:

Comment 2 Jan F. Chadima 2010-12-16 09:51:31 UTC
Created attachment 469105 [details]
dump from sshd -d -d -d

using firefox (just start and close the window)
there are 3 opened channels 3, 4 and 5. The channel stay opened ... No data is send or received on that channel.

Comment 3 Tomas Mraz 2010-12-16 12:09:32 UTC
The sshd hangs, because there, after the firefox exit, stay dbus-launch processes which keep an open connection to the forwarded X socket.

Comment 4 Matěj Cepl 2010-12-16 13:42:06 UTC
OK, reassigning to dbus then for further investigation.

Comment 5 Colin Walters 2010-12-16 18:59:23 UTC
In this scenario currently, dbus currently doesn't terminate until the X server does.

Now, short of mandating that the session bus be per (kernel, uid):
http://lists.freedesktop.org/archives/dbus/2010-November/013683.html
we could potentially patch the bus to optionally exit after it has no clients.

Honestly though, we're no where near modern applications really working in this kind of scenario, if they access any non-display functionality like preferences, network status, etc.

Comment 9 Colin Walters 2010-12-19 20:03:22 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=32509

Comment 10 Colin Walters 2010-12-19 20:36:59 UTC
Corresponding RHEL 6 bug:
https://bugzilla.redhat.com/show_bug.cgi?id=638551

Comment 11 Fedora End Of Life 2012-08-16 17:52:12 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Need Real Name 2012-08-17 17:47:49 UTC
This is quite an important bug...

Comment 13 Fedora Admin XMLRPC Client 2013-02-22 15:20:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2013-02-22 15:24:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2013-12-21 14:54:18 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Frank Danapfel 2014-02-28 13:13:48 UTC
I'm still seeing this issue on Fedora 20. Are there any plans to still fix this?

Comment 17 Dimitri 2015-03-27 19:21:51 UTC
I opened a support request to file this as a bug against RHEL7. Things like this might be okay for Fedora, but not for a commercial product. This was reported back in 2010! Yes, there are workarounds, but this behavior is broken. 

One workaround is to create a .logout with:

eval `pkill -u $USER dbus-launch` > /dev/null

Comment 18 Fedora End Of Life 2015-05-29 08:37:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2016-07-19 20:50:49 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 20 François Cami 2017-05-31 13:21:04 UTC
I can't reproduce this on Fedora 26.
Clearing NEEDINFO, closing as NEXTRELEASE instead of EOL.


Note You need to log in before you can comment on or make changes to this bug.